POST
Create a store
https://management-test.adyen.com/v1/merchants/{merchantId}/storesCreates a store for the merchant account identified in the path. To make this request, your API credential must have the following role: * Management API—Stores read and write
Access Token Required: API Key
Path Parameters
merchantIdstringrequired
The unique identifier of the merchant account.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'https://management-test.adyen.com/v1/merchants/{merchantId}/stores' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}